const std = @import("std");
const GeoJson = @import("geojson.zig").GeoJsonZig(2, f64);

const Position = GeoJson.Position;
const Geometry = GeoJson.Geometry;
const Feature = GeoJson.Feature;
const FeatureCollection = GeoJson.FeatureCollection;

const allocator = std.testing.allocator;

test "FeatureCollection from file" {
    const file = try std.fs.cwd().openFile("src/fc.geojson", .{});
    defer file.close();

    var buffered_reader = std.io.bufferedReader(file.reader());
    var reader = std.json.reader(std.testing.allocator, buffered_reader.reader());
    defer reader.deinit();

    const parsed = try std.json.parseFromTokenSource(FeatureCollection, std.testing.allocator, &reader, .{});
    defer parsed.deinit();

    const value = parsed.value;

    try std.testing.expectEqual(.FeatureCollection, value.type);
    try std.testing.expect(value.features.items.len > 0);
}
